package cardealerapp;

/*
    Car Model: Camry
    Year Range: 2015 - 2017
    Price Range: $20000 - $22000
    Available Colors: Red, White
    Accessories: power locks, power windows
    Standard model: 2017, $21000, White, power locks
 */
public class Camry extends Car {
    
    public Camry() {
        model = "Camry";
        yearRange = new int[]{2015, 2017};
        priceRange = new double[]{20000, 22000};
        availableColors = new String[]{"Red" , "White"};
        availableAccessories = new String[]{"Power Locks", "Power Windows"};
        manufactureYear = 2017;
        price = 21000;
        color = "White";
        accessories = new String[]{"Power Locks", null, null};
    }
    
    public Camry(int manufactureYear, double price, String color) {
        this();
        this.manufactureYear = manufactureYear;
        this.price = price;
        this.color = color;
    }
    
    public Camry(int manufactureYear) {
        this();
        this.manufactureYear = manufactureYear;
    }
}
