package cardealerapp;

/*
    Car Model: Corolla
    Year Range: 2016 - 2018
    Price Range: $18000 - $20000
    Available Colors: Black, Blue
    Accessories: air-conditioning, luxury interior, remote starter
    Standard model: 2018, $18550, Black, air-conditioning
 */
public class Corolla extends Car {
    
    public Corolla() {
        model = "Corolla";
        yearRange = new int[]{2016, 2018};
        priceRange = new double[]{18000, 20000};
        availableColors = new String[]{"Black" , "Blue"};
        availableAccessories = new String[]{"Air-conditioning", "Luxury Interior", 
            "remote starter"};
        manufactureYear = 2018;
        price = 18550;
        color = "Black";
        accessories = new String[]{"air-conditioning", null, null};
    }
    
    public Corolla(int manufactureYear, double price, String color) {
        this();
        this.manufactureYear = manufactureYear;
        this.price = price;
        this.color = color;
    }
    
    public Corolla(int manufactureYear) {
        this();
        this.manufactureYear = manufactureYear;
    }
}
