package cardealerapp;

/*
    Car Model: Sienna
    Year Range: 2015 - 2018
    Price Range: $25000 $30000
    Available Colors: Silver, Black
    Accessories: Media Player, heated-seat
    Standard model: 2018, $27000, Silver, no accessories 
*/

public class Sienna extends Car {
    public Sienna() {
        model = "Sienna";
        yearRange = new int[]{2015, 2018};
        priceRange = new double[]{25000, 30000};
        availableColors = new String[]{"Silver", "Black"};
        availableAccessories = new String[]{"Media Player", "heated-seat"};
        manufactureYear = 2019;
        price = 27000;
        color = "Silver";
        accessories = new String[]{null, null, null};
    }
    
    public Sienna(int manufactureYear, double price, String color) {
        this();
        this.manufactureYear = manufactureYear;
        this.price = price;
        this.color = color;
    }
    
    public Sienna(int manufactureYear) {
        this();
        this.manufactureYear = manufactureYear;
    }
}
